Subject: [AVTCORE] Request for publication of draft-ietf-avtcore-multi-party-rtt-mix-13

From: Bernard Aboba <[email-masked]>
Date: Wed, 10 Feb 2021 12:42:18 -0800

Request for Publication
Document: RTP-mixer formatting of multi-party Real-time text
Link:
https://www.ietf.org/archive/id/draft-ietf-avtcore-multi-party-rtt-mix-13.txt
Intended Status: Proposed Standard
Document Shepard: Bernard Aboba

(1) What type of RFC is being requested (BCP, Proposed Standard, Internet
Standard, Informational, Experimental, or Historic)? Why is this the proper
type of RFC? Is this type of RFC indicated in the title page header?

Proposed Standard.

(2) The IESG approval announcement includes a Document Announcement
Write-Up. Please provide such a Document Announcement Write-Up. Recent
examples can be found in the "Action" announcements for approved documents.
The approval announcement contains the following sections:

Technical Summary:

   Emergency call use of RFC 4103 "RTP Payload for Text Conversation"
   requires multi-party mixing.  Real-time text mixers for multi-party
   sessions need to identify the source of each transmitted group of
   text so that the text can be presented by endpoints in suitable
   grouping with other text from the same source, while new text from
   other sources is also presented in readable grouping as received
   interleaved in real-time.

   Enhancements for RFC 4103 real-time text mixing are provided in this
   document, suitable for a centralized conference model that enables
   source identification and rapidly interleaved transmission of text
   from different sources.  The intended use is for real-time text
   mixers and participant endpoints capable of providing an efficient
   presentation or other treatment of a multi-party real-time text
   session.  The specified mechanism builds on the standard use of the
   CSRC list in the RTP packet for source identification.  The method
   makes use of the same "text/t140" and "text/red" formats as for two-
   party sessions.

Working Group Summary:

WG Last Call of "RTP-mixer formatting of multi-party Real-time text" was
announced on November 25, 2020:
https://mailarchive.ietf.org/arch/msg/avt/tjGlWlXL5a54nhgl5nRV3jkD_tk/

WGLC concluded on December 9, 2020.

Of the 6 participants responding to the WGLC, 3 supported Advancement to
Proposed Standard, and 3 respondents provided comments, which were addressed
by the author.

Document Quality:

Are there existing implementations of the protocol? Have a significant
number of vendors indicated their plan to implement the specification? Are
there any reviewers that merit special mention as having done a thorough
review, e.g., one that resulted in important changes or a conclusion that
the document had no substantive issues? If there was a MIB Doctor, YANG
Doctor, Media Type or other expert review, what was its course (briefly)?
In the case of a Media Type review, on what date was the request posted?

There are no existing implementations of the specification.

Personnel:

Who is the Document Shepherd? Who is the Responsible Area Director?

Document Shepherd is Bernard Aboba. Responsible AD is Barry Leiba.

(3) Briefly describe the review of this document that was performed by the
Document Shepherd. If this version of the document is not ready for
publication, please explain why the document is being forwarded to the
IESG.

I have reviewed the document and provided comments here:
https://mailarchive.ietf.org/arch/msg/avt/WJ5Yb5Qm-LrQXcIYxaOeLZD1i-c/

(4) Does the document Shepherd have any concerns about the depth or breadth
of the reviews that have been performed?

The specification has not been implemented yet, so it is possible that
issues could arise in implementation. This is more of a concern than for
typical AVTCORE documents, since this specification is likely to become a
regulatory requirement prior to advancing beyond Proposed Standard.

(5) Do portions of the document need review from a particular or from
broader perspective, e.g., security, operational complexity, AAA, DNS,
DHCP, XML, or internationalization? If so, describe the review that took
place.

The document does not raise any unique security, AAA, DNS, DHCP, XML or
internationalization issues.
Since there are no implementations yet, it is possible that operational
complexity concerns will arise that have not been forseen.

(6) Describe any specific concerns or issues that the Document Shepherd has
with this document that the Responsible Area Director and/or the IESG
should be aware of? For example, perhaps he or she is uncomfortable with
certain parts of the document, or has concerns whether there really is a
need for it. In any event, if the WG has discussed those issues and has
indicated that it still wishes to advance the document, detail those
concerns here.

During review, the question was raised as to whether the specification will
require development of an RTT mixer, or whether it could be made compatible
with existing conferencing servers implementing Selective Forwarding.

(7) Has each author confirmed that any and all appropriate IPR disclosures
required for full conformance with the provisions of BCP 78 and BCP 79 have
already been filed. If not, explain why?

Yes.

(8) Has an IPR disclosure been filed that references this document? If so,
summarize any WG discussion and conclusion regarding the IPR disclosures.

No IPR disclosures:
https://datatracker.ietf.org/ipr/search/?submit=draft&id=draft-ietf-avtcore-multi-party-rtt-mix

(9) How solid is the WG consensus behind this document? Does it represent
the strong concurrence of a few individuals, with others being silent, or
does the WG as a whole understand and agree with it?

The document has been reviewed by people knowledgeable about emergency
services and the role of Realtime Text within those services.
It has also had some review from implementers of general communication
services.

(10) Has anyone threatened an appeal or otherwise indicated extreme
discontent? If so, please summarise the areas of conflict in separate email
messages to the Responsible Area Director. (It should be in a separate
email because this questionnaire is publicly available.)

No appeal threats or extreme discontent expressed.

(11) Identify any ID nits the Document Shepherd has found in this document.
(See http://www.ietf.org/tools/idnits/ and the Internet-Drafts Checklist).
Boilerplate checks are not enough; this check needs to be thorough.

IDnits run on -13 shows no errors:

idnits 2.16.05

tmp/draft-ietf-avtcore-multi-party-rtt-mix-13.txt:
tmp/draft-ietf-avtcore-multi-party-rtt-mix-13.txt(1351): Unexpected
reference format: '...         ...'
tmp/draft-ietf-avtcore-multi-party-rtt-mix-13.txt(1353): Unexpected
reference format: '...         ...'
tmp/draft-ietf-avtcore-multi-party-rtt-mix-13.txt(1355): Unexpected
reference format: '...         ...'
tmp/draft-ietf-avtcore-multi-party-rtt-mix-13.txt(1358): Unexpected
reference format: '...         ...'
tmp/draft-ietf-avtcore-multi-party-rtt-mix-13.txt(1361): Unexpected
reference format: '...         ...'
tmp/draft-ietf-avtcore-multi-party-rtt-mix-13.txt(1363): Unexpected
reference format: '...         ...'
tmp/draft-ietf-avtcore-multi-party-rtt-mix-13.txt(1365): Unexpected
reference format: '...         ...'
tmp/draft-ietf-avtcore-multi-party-rtt-mix-13.txt(1368): Unexpected
reference format: '...         ...'
tmp/draft-ietf-avtcore-multi-party-rtt-mix-13.txt(1689): Unexpected
reference format: '...    |[Bob...'
tmp/draft-ietf-avtcore-multi-party-rtt-mix-13.txt(1691): Unexpected
reference format: '...    |[Eve...'
tmp/draft-ietf-avtcore-multi-party-rtt-mix-13.txt(1694): Unexpected
reference format: '...    |[Bob...'
tmp/draft-ietf-avtcore-multi-party-rtt-mix-13.txt(1697): Unexpected
reference format: '...    |[Eve...'
tmp/draft-ietf-avtcore-multi-party-rtt-mix-13.txt(1698): Unexpected
reference format: '...    |[Bob...'
tmp/draft-ietf-avtcore-multi-party-rtt-mix-13.txt(1707): Unexpected
reference format: '...    |[Ali...'
tmp/draft-ietf-avtcore-multi-party-rtt-mix-13.txt(1714): Unexpected
reference format: '...    |[Ali...'

  Checking boilerplate required by RFC 5378 and the IETF Trust (see
  https://trustee.ietf.org/license-info):

----------------------------------------------------------------------------

     No issues found here.

  Checking nits according to https://www.ietf.org/id-info/1id-guidelines.txt
:

----------------------------------------------------------------------------

     No issues found here.

  Checking nits according to https://www.ietf.org/id-info/checklist :

----------------------------------------------------------------------------

     No issues found here.

  Miscellaneous warnings:

----------------------------------------------------------------------------

     (Using the creation date from RFC4103, updated by this document, for
     RFC5378 checks: 2004-06-15)

  -- The document seems to lack a disclaimer for pre-RFC5378 work, but may
     have content which was first submitted before 10 November 2008.  If you
     have contacted all the original authors and they are all willing to
grant
     the BCP78 rights to the IETF Trust, then this is fine, and you can
ignore
     this comment.  If not, you may need to add the pre-RFC5378 disclaimer.
     (See the Legal Provisions document at
     https://trustee.ietf.org/license-info for more information.)

     IETF Trust Legal Provisions of 28-dec-2009, Section 6.c(iii):
        This document may contain material from IETF Documents or IETF
        Contributions published or made publicly available before
        November 10, 2008.  The person(s) controlling the copyright in
        some of this material may not have granted the IETF Trust the
        right to allow modifications of such material outside the IETF
        Standards Process. Without obtaining an adequate license from the
        person(s) controlling the copyright in such materials, this
        document may not be modified outside the IETF Standards Process,
        and derivative works of it may not be created outside the IETF
        Standards Process, except to format it for publication as an RFC
        or to translate it into languages other than English.

  Checking references for intended status: Proposed Standard

----------------------------------------------------------------------------

     (See RFCs 3967 and 4897 for information about using normative
references
     to lower-maturity documents in RFCs)

  -- Possible downref: Non-RFC (?) normative reference: ref. 'T140'

  -- Possible downref: Non-RFC (?) normative reference: ref. 'T140ad1'

     Summary: 0 errors (**), 0 flaws (~~), 0 warnings (==), 3 comments (--).

(12) Describe how the document meets any required formal review criteria,
such as the MIB Doctor, YANG Doctor, media type, and URI type reviews.

The document contains no MIBs or YANG modules and does not define media or
URI types.
Section 3.20 does contain Offer/Answer examples which may benefit from
review by the SDP Directorate.

(13) Have all references within this document been identified as either
normative or informative?

Yes.

(14) Are there normative references to documents that are not ready for
advancement or are otherwise in an unclear state? If such normative
references exist, what is the plan for their completion?

There is a normative reference to draft-ietf-mmusic-t140-usage-data-channel
which should be updated to RFC 8865.

(15) Are there downward normative references references (see RFC 3967)? If
so, list these downward references to support the Area Director in the Last
Call procedure.

There are references to non-IETF specifications (T.140), but no down
references to IETF specifications.

(16) Will publication of this document change the status of any existing
RFCs? Are those RFCs listed on the title page header, listed in the
abstract, and discussed in the introduction? If the RFCs are not listed in
the Abstract and Introduction, explain why, and point to the part of the
document where the relationship of this document to the other RFCs is
discussed. If this information is not in the document, explain why the WG
considers it unnecessary.

The publication of this document will not change the status of any existing
RFCs.

(17) Describe the Document Shepherd's review of the IANA considerations
section, especially with regard to its consistency with the body of the
document. Confirm that all protocol extensions that the document makes are
associated with the appropriate reservations in IANA registries. Confirm
that any referenced IANA registries have been clearly identified. Confirm
that newly created IANA registries include a detailed specification of the
initial contents for the registry, that allocations procedures for future
registrations are defined, and a reasonable name for the new registry has
been suggested (see RFC 8126).

Section 10.1 of the document requests registration of the "rtt-mixer" sdp
media attribute.  There are no other IANA actions requested.

(18) List any new IANA registries that require Expert Review for future
allocations. Provide any public guidance that the IESG would find useful in
selecting the IANA Experts for these new registries.

No new IANA registries requested.

(19) Describe reviews and automated checks performed by the Document
Shepherd to validate sections of the document written in a formal language,
such as XML code, BNF rules, MIB definitions, YANG modules, etc.

No formal languages used.

(20) If the document contains a YANG module, has the module been checked
with any of the recommended validation tools (
https://trac.ietf.org/trac/ops/wiki/yang-review-tools) for syntax and
formatting validation? If there are any resulting errors or warnings, what
is the justification for not fixing them at this time? Does the YANG module
comply with the Network Management Datastore Architecture (NMDA) as
specified in RFC8342?

No YANG modules.

---

From: Barry Leiba <[email-masked]>
Date: Thu, 11 Feb 2021 09:32:02 -0500

Hi, Bernard.  The way to request publication these days is from the
datatracker page for the document:
https://datatracker.ietf.org/doc/draft-ietf-avtcore-multi-party-rtt-mix/

If you're logged in, as working group chair you should see a "Request
Publication" button at the bottom of the header section.  Please press
that button, and the right datatracker state changes will happen.

Barry

On Wed, Feb 10, 2021 at 3:42 PM Bernard Aboba <[email-masked]> wrote:
> Link: https://www.ietf.org/archive/id/draft-ietf-avtcore-multi-party-rtt-mix-13.txt
> (1) What type of RFC is being requested (BCP, Proposed Standard, Internet Standard, Informational, Experimental, or Historic)? Why is this the proper type of RFC? Is this type of RFC indicated in the title page header?
>
> Proposed Standard.
>
> (2) The IESG approval announcement includes a Document Announcement Write-Up. Please provide such a Document Announcement Write-Up. Recent examples can be found in the "Action" announcements for approved documents. The approval announcement contains the following sections:
>
> Technical Summary:
>
> Are there existing implementations of the protocol? Have a significant number of vendors indicated their plan to implement the specification? Are there any reviewers that merit special mention as having done a thorough review, e.g., one that resulted in important changes or a conclusion that the document had no substantive issues? If there was a MIB Doctor, YANG Doctor, Media Type or other expert review, what was its course (briefly)? In the case of a Media Type review, on what date was the request posted?
>
> (3) Briefly describe the review of this document that was performed by the Document Shepherd. If this version of the document is not ready for publication, please explain why the document is being forwarded to the IESG.
>
> (4) Does the document Shepherd have any concerns about the depth or breadth of the reviews that have been performed?
>
> The specification has not been implemented yet, so it is possible that issues could arise in implementation. This is more of a concern than for typical AVTCORE documents, since this specification is likely to become a regulatory requirement prior to advancing beyond Proposed Standard.
>
> (5) Do portions of the document need review from a particular or from broader perspective, e.g., security, operational complexity, AAA, DNS, DHCP, XML, or internationalization? If so, describe the review that took place.
>
> The document does not raise any unique security, AAA, DNS, DHCP, XML or internationalization issues.
> Since there are no implementations yet, it is possible that operational complexity concerns will arise that have not been forseen.
>
> (6) Describe any specific concerns or issues that the Document Shepherd has with this document that the Responsible Area Director and/or the IESG should be aware of? For example, perhaps he or she is uncomfortable with certain parts of the document, or has concerns whether there really is a need for it. In any event, if the WG has discussed those issues and has indicated that it still wishes to advance the document, detail those concerns here.
>
> During review, the question was raised as to whether the specification will require development of an RTT mixer, or whether it could be made compatible with existing conferencing servers implementing Selective Forwarding.
>
> (7) Has each author confirmed that any and all appropriate IPR disclosures required for full conformance with the provisions of BCP 78 and BCP 79 have already been filed. If not, explain why?
>
> Yes.
>
> (8) Has an IPR disclosure been filed that references this document? If so, summarize any WG discussion and conclusion regarding the IPR disclosures.
>
> No IPR disclosures: https://datatracker.ietf.org/ipr/search/?submit=draft&id=draft-ietf-avtcore-multi-party-rtt-mix
>
> (9) How solid is the WG consensus behind this document? Does it represent the strong concurrence of a few individuals, with others being silent, or does the WG as a whole understand and agree with it?
>
> The document has been reviewed by people knowledgeable about emergency services and the role of Realtime Text within those services.
> It has also had some review from implementers of general communication services.
>
> (10) Has anyone threatened an appeal or otherwise indicated extreme discontent? If so, please summarise the areas of conflict in separate email messages to the Responsible Area Director. (It should be in a separate email because this questionnaire is publicly available.)
>
> (11) Identify any ID nits the Document Shepherd has found in this document. (See http://www.ietf.org/tools/idnits/ and the Internet-Drafts Checklist). Boilerplate checks are not enough; this check needs to be thorough.
>
> tmp/draft-ietf-avtcore-multi-party-rtt-mix-13.txt(1351): Unexpected reference format: '...         ...'
> tmp/draft-ietf-avtcore-multi-party-rtt-mix-13.txt(1353): Unexpected reference format: '...         ...'
> tmp/draft-ietf-avtcore-multi-party-rtt-mix-13.txt(1355): Unexpected reference format: '...         ...'
> tmp/draft-ietf-avtcore-multi-party-rtt-mix-13.txt(1358): Unexpected reference format: '...         ...'
> tmp/draft-ietf-avtcore-multi-party-rtt-mix-13.txt(1361): Unexpected reference format: '...         ...'
> tmp/draft-ietf-avtcore-multi-party-rtt-mix-13.txt(1363): Unexpected reference format: '...         ...'
> tmp/draft-ietf-avtcore-multi-party-rtt-mix-13.txt(1365): Unexpected reference format: '...         ...'
> tmp/draft-ietf-avtcore-multi-party-rtt-mix-13.txt(1368): Unexpected reference format: '...         ...'
> tmp/draft-ietf-avtcore-multi-party-rtt-mix-13.txt(1689): Unexpected reference format: '...    |[Bob...'
> tmp/draft-ietf-avtcore-multi-party-rtt-mix-13.txt(1691): Unexpected reference format: '...    |[Eve...'
> tmp/draft-ietf-avtcore-multi-party-rtt-mix-13.txt(1694): Unexpected reference format: '...    |[Bob...'
> tmp/draft-ietf-avtcore-multi-party-rtt-mix-13.txt(1697): Unexpected reference format: '...    |[Eve...'
> tmp/draft-ietf-avtcore-multi-party-rtt-mix-13.txt(1698): Unexpected reference format: '...    |[Bob...'
> tmp/draft-ietf-avtcore-multi-party-rtt-mix-13.txt(1707): Unexpected reference format: '...    |[Ali...'
> tmp/draft-ietf-avtcore-multi-party-rtt-mix-13.txt(1714): Unexpected reference format: '...    |[Ali...'
>
>   Checking nits according to https://www.ietf.org/id-info/1id-guidelines.txt:
>      have contacted all the original authors and they are all willing to grant
>      the BCP78 rights to the IETF Trust, then this is fine, and you can ignore
>      (See RFCs 3967 and 4897 for information about using normative references
> (12) Describe how the document meets any required formal review criteria, such as the MIB Doctor, YANG Doctor, media type, and URI type reviews.
>
> The document contains no MIBs or YANG modules and does not define media or URI types.
> Section 3.20 does contain Offer/Answer examples which may benefit from review by the SDP Directorate.
>
> (13) Have all references within this document been identified as either normative or informative?
>
> Yes.
>
> (14) Are there normative references to documents that are not ready for advancement or are otherwise in an unclear state? If such normative references exist, what is the plan for their completion?
>
> There is a normative reference to draft-ietf-mmusic-t140-usage-data-channel which should be updated to RFC 8865.
>
> (15) Are there downward normative references references (see RFC 3967)? If so, list these downward references to support the Area Director in the Last Call procedure.
>
> There are references to non-IETF specifications (T.140), but no down references to IETF specifications.
>
> (16) Will publication of this document change the status of any existing RFCs? Are those RFCs listed on the title page header, listed in the abstract, and discussed in the introduction? If the RFCs are not listed in the Abstract and Introduction, explain why, and point to the part of the document where the relationship of this document to the other RFCs is discussed. If this information is not in the document, explain why the WG considers it unnecessary.
>
> The publication of this document will not change the status of any existing RFCs.
>
> (17) Describe the Document Shepherd's review of the IANA considerations section, especially with regard to its consistency with the body of the document. Confirm that all protocol extensions that the document makes are associated with the appropriate reservations in IANA registries. Confirm that any referenced IANA registries have been clearly identified. Confirm that newly created IANA registries include a detailed specification of the initial contents for the registry, that allocations procedures for future registrations are defined, and a reasonable name for the new registry has been suggested (see RFC 8126).
>
> Section 10.1 of the document requests registration of the "rtt-mixer" sdp media attribute.  There are no other IANA actions requested.
>
> (18) List any new IANA registries that require Expert Review for future allocations. Provide any public guidance that the IESG would find useful in selecting the IANA Experts for these new registries.
>
> (19) Describe reviews and automated checks performed by the Document Shepherd to validate sections of the document written in a formal language, such as XML code, BNF rules, MIB definitions, YANG modules, etc.
>
> (20) If the document contains a YANG module, has the module been checked with any of the recommended validation tools (https://trac.ietf.org/trac/ops/wiki/yang-review-tools) for syntax and formatting validation? If there are any resulting errors or warnings, what is the justification for not fixing them at this time? Does the YANG module comply with the Network Management Datastore Architecture (NMDA) as specified in RFC8342?
>
> No YANG modules.